[
    {
        "uniqId": 1,
        "name": "蓝",
        "quality": 1,
        "qualityStage": 0,
        "maxLv": 20,
        "previousId": 0,
        "materialId": 0,
        "materialCnt": 0,
        "materialGroup": 0,
        "canDecompose": 0,
        "canComposeAll": 1,
        "generalItem": "&",
        "nextId": 2
    },
    {
        "uniqId": 2,
        "name": "紫",
        "quality": 2,
        "qualityStage": 0,
        "maxLv": 40,
        "previousId": 1,
        "materialId": 1,
        "materialCnt": 2,
        "materialGroup": 1,
        "canDecompose": 0,
        "canComposeAll": 1,
        "generalItem": "&",
        "nextId": 3
    },
    {
        "uniqId": 3,
        "name": "橙",
        "quality": 3,
        "qualityStage": 0,
        "maxLv": 60,
        "previousId": 2,
        "materialId": 2,
        "materialCnt": 2,
        "materialGroup": 1,
        "canDecompose": 1,
        "canComposeAll": 0,
        "generalItem": "82002&1",
        "nextId": 4
    },
    {
        "uniqId": 4,
        "name": "橙+1",
        "quality": 3,
        "qualityStage": 1,
        "maxLv": 60,
        "previousId": 3,
        "materialId": 3,
        "materialCnt": 1,
        "materialGroup": 0,
        "canDecompose": 0,
        "canComposeAll": 0,
        "generalItem": "82002&2",
        "nextId": 5
    },
    {
        "uniqId": 5,
        "name": "橙+2",
        "quality": 3,
        "qualityStage": 2,
        "maxLv": 60,
        "previousId": 4,
        "materialId": 3,
        "materialCnt": 2,
        "materialGroup": 0,
        "canDecompose": 0,
        "canComposeAll": 0,
        "generalItem": "82002&3",
        "nextId": 6
    },
    {
        "uniqId": 6,
        "name": "红",
        "quality": 4,
        "qualityStage": 0,
        "maxLv": 80,
        "previousId": 5,
        "materialId": 5,
        "materialCnt": 2,
        "materialGroup": 1,
        "canDecompose": 1,
        "canComposeAll": 0,
        "generalItem": "82003&1",
        "nextId": 7
    },
    {
        "uniqId": 7,
        "name": "红+1",
        "quality": 4,
        "qualityStage": 1,
        "maxLv": 80,
        "previousId": 6,
        "materialId": 6,
        "materialCnt": 1,
        "materialGroup": 0,
        "canDecompose": 0,
        "canComposeAll": 0,
        "generalItem": "82003&2",
        "nextId": 8
    },
    {
        "uniqId": 8,
        "name": "红+2",
        "quality": 4,
        "qualityStage": 2,
        "maxLv": 80,
        "previousId": 7,
        "materialId": 6,
        "materialCnt": 2,
        "materialGroup": 0,
        "canDecompose": 0,
        "canComposeAll": 0,
        "generalItem": "82003&3",
        "nextId": 9
    },
    {
        "uniqId": 9,
        "name": "红+3",
        "quality": 4,
        "qualityStage": 3,
        "maxLv": 80,
        "previousId": 8,
        "materialId": 6,
        "materialCnt": 2,
        "materialGroup": 0,
        "canDecompose": 0,
        "canComposeAll": 0,
        "generalItem": "82003&4",
        "nextId": 10
    },
    {
        "uniqId": 10,
        "name": "金",
        "quality": 5,
        "qualityStage": 0,
        "maxLv": 100,
        "previousId": 9,
        "materialId": 9,
        "materialCnt": 2,
        "materialGroup": 1,
        "canDecompose": 0,
        "canComposeAll": 0,
        "generalItem": "&",
        "nextId": 0
    }
]